
From: Andi Kleen <ak@muc.de>

Make the x86-64 machine check handler configurable when EMBEDDED

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/Kconfig |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN arch/x86_64/Kconfig~x86-64-make-machine-check-handler-configurable arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~x86-64-make-machine-check-handler-configurable	Tue Sep 14 17:03:07 2004
+++ 25-akpm/arch/x86_64/Kconfig	Tue Sep 14 17:03:07 2004
@@ -319,8 +319,13 @@ config DUMMY_IOMMU
 	  are doing.
 
 config X86_MCE
-	bool
+	bool "Machine check support" if EMBEDDED
 	default y
+	help
+	   Include a machine check error handler to report hardware errors.
+	   This version will require the mcelog utility to decode some
+	   machine check error logs. See
+	   ftp://ftp.x86-64.org/pub/linux/tools/mcelog
 
 endmenu
 
_
